=== bppSuite/CMakeLists.txt ===
# CMake script for Bio++ Program Suite
# Author: Julien Dutheil
# Created: 22/08/2009

ADD_EXECUTABLE(bppml bppML.cpp)
TARGET_LINK_LIBRARIES(bppml ${LIBS})
SET_TARGET_PROPERTIES(bppml PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppseqgen bppSeqGen.cpp)
TARGET_LINK_LIBRARIES(bppseqgen ${LIBS})
SET_TARGET_PROPERTIES(bppseqgen PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppdist bppDist.cpp)
TARGET_LINK_LIBRARIES(bppdist ${LIBS})
SET_TARGET_PROPERTIES(bppdist PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bpppars bppPars.cpp)
TARGET_LINK_LIBRARIES(bpppars ${LIBS})
SET_TARGET_PROPERTIES(bpppars PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppseqman bppSeqMan.cpp)
TARGET_LINK_LIBRARIES(bppseqman ${LIBS})
SET_TARGET_PROPERTIES(bppseqman PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppconsense bppConsense.cpp)
TARGET_LINK_LIBRARIES(bppconsense ${LIBS})
SET_TARGET_PROPERTIES(bppconsense PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppancestor bppAncestor.cpp)
TARGET_LINK_LIBRARIES(bppancestor ${LIBS})
SET_TARGET_PROPERTIES(bppancestor PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppreroot bppReRoot.cpp)
TARGET_LINK_LIBRARIES(bppreroot ${LIBS})
SET_TARGET_PROPERTIES(bppreroot PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppphysamp bppPhyloSampler.cpp)
TARGET_LINK_LIBRARIES(bppphysamp ${LIBS})
SET_TARGET_PROPERTIES(bppphysamp PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bpptreedraw bppTreeDraw.cpp)
TARGET_LINK_LIBRARIES(bpptreedraw ${LIBS})
SET_TARGET_PROPERTIES(bpptreedraw PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

# Install progs
INSTALL(TARGETS
  bppml
  bppseqgen
  bppdist
  bpppars
  bppseqman
  bppconsense
  bppancestor
  bppreroot
  bppphysamp
  bpptreedraw
  DESTINATION bin)
