## bppsuite 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -164,9 +164,11 @@
     COMMAND gzip -f bppphysamp.1
     COMMAND cp bpptreedraw.1.txt bpptreedraw.1
     COMMAND gzip -f bpptreedraw.1
+    COMMAND cp bppalnscore.1.txt bppalnscore.1
+    COMMAND gzip -f bppalnscore.1
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
     )
-  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "man/bppml.1.gz;man/bppseqgen.1.gz;man/bppdist.1.gz;man/bpppars.1.gz;man/bppseqman.1.gz;man/bppconsense.1.gz;man/bppancestor.1.gz;man/bppreroot.1.gz;man/bppphysamp.1.gz;man/bpptreedraw.1.gz")
+  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "man/bppml.1.gz;man/bppseqgen.1.gz;man/bppdist.1.gz;man/bpppars.1.gz;man/bppseqman.1.gz;man/bppconsense.1.gz;man/bppancestor.1.gz;man/bppreroot.1.gz;man/bppphysamp.1.gz;man/bpptreedraw.1.gz;man/bppalnscore.1.gz")
 ENDIF(NROFF_EXE)
 
 # Subdirectories
@@ -179,10 +181,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "bppsuite")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "0.6.2")
+SET(CPACK_PACKAGE_VERSION "0.7.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "6")
-SET(CPACK_PACKAGE_VERSION_PATCH "2")
+SET(CPACK_PACKAGE_VERSION_MINOR "7")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Program Suite")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -215,6 +217,7 @@
  "bppSuite/bpptreedraw"
  "bppSuite/bppdist"
  "bppSuite/bppseqgen"
+ "bppSuite/bppalnscore"
  "doc/bppsuite/"
  "doc/bppsuite\\\\.info"
  "doc/bppsuite\\\\.toc"
