=== man/CMakeLists.txt ===
--- 
+++ 
@@ -13,4 +13,5 @@
   INSTALL(FILES bppreroot.1.gz DESTINATION share/man/man1)
   INSTALL(FILES bppphysamp.1.gz DESTINATION share/man/man1)
   INSTALL(FILES bpptreedraw.1.gz DESTINATION share/man/man1)
+  INSTALL(FILES bppalnscore.1.gz DESTINATION share/man/man1)
 ENDIF(MAN)
