## bppsuite 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Created: 22/08/2009
 
 # Global parameters
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 PROJECT(bppsuite CXX)
 
 IF(NOT CMAKE_BUILD_TYPE)
@@ -12,7 +12,7 @@
       FORCE)
 ENDIF()
 
-SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow")
+SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
 IF(NOT NO_VIRTUAL_COV)
   SET(NO_VIRTUAL_COV FALSE CACHE BOOL
       "Disable covariant return type with virtual inheritance, for compilers that do not support it."
@@ -30,9 +30,23 @@
       FORCE)
 ENDIF(NOT NO_DEP_CHECK)
 
+IF(NOT DOC_COMPRESS)
+  SET(DOC_COMPRESS gzip CACHE STRING
+      "Set program for compressing documentation."
+      FORCE)
+ENDIF(NOT DOC_COMPRESS)
+
+IF(NOT DOC_COMPRESS_EXT)
+  SET(DOC_COMPRESS_EXT gz CACHE STRING
+      "Set extension of compressed documentation."
+      FORCE)
+ENDIF(NOT DOC_COMPRESS_EXT)
+
+
 IF(NO_DEP_CHECK)
   MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
 ELSE(NO_DEP_CHECK)
+
 
 #static linkage?
 IF(NOT BUILD_STATIC)
@@ -56,9 +70,82 @@
 ENDIF(NOT DEFINED MAN)
 
 #find executables for documentation
-FIND_PROGRAM(MAKEINFO_EXE NAMES makeinfo)
+IF(MAN)
+  FIND_PROGRAM(NROFF_EXE NAMES nroff)
+  IF(NROFF_EXE)
+    MESSAGE("-- Found nroff here: ${NROFF_EXE}")
+    MESSAGE("   Adding targets: man")
+
+    ADD_CUSTOM_TARGET(man
+      ALL
+      COMMAND cp bppml.1.txt bppml.1
+      COMMAND ${DOC_COMPRESS} -f bppml.1
+      COMMAND cp bppseqgen.1.txt bppseqgen.1
+      COMMAND ${DOC_COMPRESS} -f bppseqgen.1
+      COMMAND cp bppdist.1.txt bppdist.1
+      COMMAND ${DOC_COMPRESS} -f bppdist.1
+      COMMAND cp bpppars.1.txt bpppars.1
+      COMMAND ${DOC_COMPRESS} -f bpppars.1
+      COMMAND cp bppseqman.1.txt bppseqman.1
+      COMMAND ${DOC_COMPRESS} -f bppseqman.1
+      COMMAND cp bppconsense.1.txt bppconsense.1
+      COMMAND ${DOC_COMPRESS} -f bppconsense.1
+      COMMAND cp bppancestor.1.txt bppancestor.1
+      COMMAND ${DOC_COMPRESS} -f bppancestor.1
+      COMMAND cp bppreroot.1.txt bppreroot.1
+      COMMAND ${DOC_COMPRESS} -f bppreroot.1
+      COMMAND cp bppphysamp.1.txt bppphysamp.1
+      COMMAND ${DOC_COMPRESS} -f bppphysamp.1
+      COMMAND cp bpptreedraw.1.txt bpptreedraw.1
+      COMMAND ${DOC_COMPRESS} -f bpptreedraw.1
+      COMMAND cp bppalnscore.1.txt bppalnscore.1
+      COMMAND ${DOC_COMPRESS} -f bppalnscore.1
+      COMMAND cp bppmixedlikelihoods.1.txt bppmixedlikelihoods.1
+      COMMAND ${DOC_COMPRESS} -f bppmixedlikelihoods.1
+      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
+      )
+    SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "man/bppml.1.${DOC_COMPRESS_EXT};man/bppseqgen.1.${DOC_COMPRESS_EXT};man/bppdist.1.${DOC_COMPRESS_EXT};man/bpppars.1.${DOC_COMPRESS_EXT};man/bppseqman.1.${DOC_COMPRESS_EXT};man/bppconsense.1.${DOC_COMPRESS_EXT};man/bppancestor.1.${DOC_COMPRESS_EXT};man/bppreroot.1.${DOC_COMPRESS_EXT};man/bppphysamp.1.${DOC_COMPRESS_EXT};man/bpptreedraw.1.${DOC_COMPRESS_EXT};man/bppalnscore.1.${DOC_COMPRESS_EXT};man/bppmixedlikelihoods.1.${DOC_COMPRESS_EXT}")
+
+  ELSE()
+    MESSAGE(FATAL_ERROR "Program nroff required but not found.")
+  ENDIF()
+ENDIF(MAN)
+
+IF(INFO)
+  FIND_PROGRAM(MAKEINFO_EXE NAMES makeinfo)
+  IF(MAKEINFO_EXE)
+    MESSAGE("-- Found makeinfo here: ${MAKEINFO_EXE}")
+    MESSAGE("   Adding targets: info, html")
+ 
+    SET(ADD_INFO_TO "ALL")
+    MESSAGE("   Adding target info to target all")
+    
+    ADD_CUSTOM_TARGET(info
+      ${ADD_INFO_TO}
+      COMMAND ${MAKEINFO_EXE} bppsuite.texi
+      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
+      )
+
+    ADD_CUSTOM_TARGET(html
+      COMMAND ${MAKEINFO_EXE} --html --css-ref=http://www.w3.org/StyleSheets/Core/Steely bppsuite.texi
+      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
+      )
+  ELSE(MAKEINFO_EXE)
+    MESSAGE(FATAL_ERROR p"Program makeinfo required but not found.")
+  ENDIF(MAKEINFO_EXE)
+ENDIF(INFO)
+
 FIND_PROGRAM(PDFTEX_EXE NAMES pdftex)
-FIND_PROGRAM(NROFF_EXE NAMES nroff)
+IF(PDFTEX_EXE)
+  MESSAGE("-- Found pdftex here: ${PDFTEX_EXE}")
+  MESSAGE("   Adding target: pdf")
+
+  ADD_CUSTOM_TARGET(pdf
+    COMMAND ${PDFTEX_EXE} bppsuite.texi
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
+    )
+  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "doc/bppsuite.pdf;doc/bppsuite.aux;doc/bppsuite.cp;doc/bppsuite.fn;doc/bppsuite.info;doc/bppsuite.ky;doc/bppsuite.log;doc/bppsuite.pg;doc/bppsuite.toc;doc/bppsuite.tp;doc/bppsuite.vr")
+ENDIF(PDFTEX_EXE)
 
 #here is a useful function:
 MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
@@ -106,71 +193,6 @@
 IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
 IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)
 
-IF(MAKEINFO_EXE)
-  MESSAGE("-- Found makeinfo here: ${MAKEINFO_EXE}")
-  MESSAGE("   Adding targets: info, html")
-
-  IF(INFO)
-    SET(ADD_INFO_TO "ALL")
-    MESSAGE("   Adding target info to target all")
-  ENDIF(INFO)
-
-  ADD_CUSTOM_TARGET(info
-    ${ADD_INFO_TO}
-    COMMAND ${MAKEINFO_EXE} bppsuite.texi
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
-    )
-
-  ADD_CUSTOM_TARGET(html
-    COMMAND ${MAKEINFO_EXE} --html --css-ref=http://www.w3.org/StyleSheets/Core/Steely bppsuite.texi
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
-    )
-ENDIF(MAKEINFO_EXE)
-
-IF(PDFTEX_EXE)
-  MESSAGE("-- Found pdftex here: ${PDFTEX_EXE}")
-  MESSAGE("   Adding target: pdf")
-
-  ADD_CUSTOM_TARGET(pdf
-    COMMAND ${PDFTEX_EXE} bppsuite.texi
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
-    )
-  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "doc/bppsuite.pdf;doc/bppsuite.aux;doc/bppsuite.cp;doc/bppsuite.fn;doc/bppsuite.info;doc/bppsuite.ky;doc/bppsuite.log;doc/bppsuite.pg;doc/bppsuite.toc;doc/bppsuite.tp;doc/bppsuite.vr")
-ENDIF(PDFTEX_EXE)
-
-IF(NROFF_EXE)
-  MESSAGE("-- Found nroff here: ${NROFF_EXE}")
-  MESSAGE("   Adding targets: man")
-
-  ADD_CUSTOM_TARGET(man
-    ALL
-    COMMAND cp bppml.1.txt bppml.1
-    COMMAND gzip -f bppml.1
-    COMMAND cp bppseqgen.1.txt bppseqgen.1
-    COMMAND gzip -f bppseqgen.1
-    COMMAND cp bppdist.1.txt bppdist.1
-    COMMAND gzip -f bppdist.1
-    COMMAND cp bpppars.1.txt bpppars.1
-    COMMAND gzip -f bpppars.1
-    COMMAND cp bppseqman.1.txt bppseqman.1
-    COMMAND gzip -f bppseqman.1
-    COMMAND cp bppconsense.1.txt bppconsense.1
-    COMMAND gzip -f bppconsense.1
-    COMMAND cp bppancestor.1.txt bppancestor.1
-    COMMAND gzip -f bppancestor.1
-    COMMAND cp bppreroot.1.txt bppreroot.1
-    COMMAND gzip -f bppreroot.1
-    COMMAND cp bppphysamp.1.txt bppphysamp.1
-    COMMAND gzip -f bppphysamp.1
-    COMMAND cp bpptreedraw.1.txt bpptreedraw.1
-    COMMAND gzip -f bpptreedraw.1
-    COMMAND cp bppalnscore.1.txt bppalnscore.1
-    COMMAND gzip -f bppalnscore.1
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
-    )
-  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "man/bppml.1.gz;man/bppseqgen.1.gz;man/bppdist.1.gz;man/bpppars.1.gz;man/bppseqman.1.gz;man/bppconsense.1.gz;man/bppancestor.1.gz;man/bppreroot.1.gz;man/bppphysamp.1.gz;man/bpptreedraw.1.gz;man/bppalnscore.1.gz")
-ENDIF(NROFF_EXE)
-
 # Subdirectories
 ADD_SUBDIRECTORY(bppSuite)
 ADD_SUBDIRECTORY(doc)
@@ -181,9 +203,9 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "bppsuite")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "0.7.0")
+SET(CPACK_PACKAGE_VERSION "0.8.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "7")
+SET(CPACK_PACKAGE_VERSION_MINOR "8")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Program Suite")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
@@ -230,7 +252,7 @@
  "doc/bppsuite\\\\.pg"
  "doc/bppsuite\\\\.aux"
  "doc/bppsuite\\\\.pdf"
- "man/.*\\\\.1.gz"
+ "man/.*\\\\.1.${DOC_COMPRESS_EXT}"
  "debian/tmp"
  "debian/bppsuite/"
  "debian/bppsuite\\\\.substvars"
@@ -245,10 +267,25 @@
 ENDIF()
 
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
+SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
 INCLUDE(CPack)
 
 #This adds the 'dist' target
-add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
+IF("${CMAKE_GENERATOR}" MATCHES "Make")
+  ADD_CUSTOM_TARGET(make_clean
+    COMMAND ${CMAKE_MAKE_PROGRAM} clean
+    WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
+  )
+  ADD_DEPENDENCIES(dist make_clean)
+
+  ADD_CUSTOM_TARGET(make_clean_man
+    COMMAND rm -f *.${DOC_COMPRESS_EXT}
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
+  )
+  ADD_DEPENDENCIES(dist make_clean_man)
+ENDIF()
 
 IF(NOT NO_DEP_CHECK)
 IF (UNIX)
