=== doc/CMakeLists.txt ===
# CMake script for Bio++ Program Suite
# Author: Julien Dutheil
# Created: 22/08/2009

IF(INFO)
  INSTALL(FILES bppsuite.info DESTINATION share/info)
ENDIF(INFO)
