=== debian/changelog ===
bppsuite (0.8.0-1+ubuntu1) wily; urgency=medium

  * Remove hardcoded library dependencies.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 17:47:36 +0100

bppsuite (0.8.0-1+build1) unstable; urgency=low

  * New models for proteins (COaLA)
  * New program bppMixedLikelihoods

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Fri, 08 Mar 2013 11:41:00 +0100

bppsuite (0.7.0-1) unstable; urgency=low

  * Several program improvements (more models, options, etc.)
  * New program bpp Alignment scores.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 15 Feb 2012 09:17:00 +0100
