=== debian/control ===
Source: bppsuite
Section: science
Priority: optional
Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6), dpkg (>= 1.15.4) | install-info, texinfo,
  libbpp-phyl-dev (>= 2.0.3)
Standards-Version: 3.9.1

Package: bppsuite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Bio++ program suite
 Includes programs:
  - BppML for maximum likelihood analysis,
  - BppSeqGen for sequences simulation,
  - BppAncestor for ancestral states reconstruction,
  - BppDist for distance methods,
  - BppPars for parsimony analysis,
  - BppSeqMan for file conversion and sequence manipulation,
  - BppConsense for building consensus tree and computing bootstrap values,
  - BppPhySamp for phylogenetic sampling,
  - BppReRoot for tree rerooting.
  - BppTreeDraw for tree drawing.
  - BppAlnScore for comparing alignments and computing alignment scores.
  - BppMixedLikelihoods for computing site per site likelihoods of components of mixture models.
