=== debian/changelog ===
bppsuite (2.2.0-0.1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * New upstream release 2.2.0 (git commit 7890d12).
    (Closes: #776111, #825443, #708457)
  * Remove hardcoded library dependencies.  (Closes: #811271)

  [ Julien Dutheil ]
  * Compatibility update. Bio++ Program Suite version number is now indexed
    on Bio++'s version.
  * Programs support the --seed argument for setting the random seed.
  * bppSeqGen support generic characters as input.
  * bppPhySamp outputs sampled trees.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Sep 2016 13:35:04 +0200
