=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Loic Dachary <loic@dachary.org>
 Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
 Build-Depends: debhelper (>= 5), cmake (>= 2.6), dpkg (>= 1.15.4) | install-info, texinfo,
-  libbpp-phyl-dev (>= 2.0.3)
-Standards-Version: 3.9.1
+  libbpp-phyl-dev (>= 2.2.0)
+Standards-Version: 3.9.4
 
 Package: bppsuite
 Architecture: any
