=== debian/changelog ===
bppsuite (2.3.1-3) unstable; urgency=medium

  * Fixed linkage issue in x32 arch (second attempt) 

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 19 Jul 2017 20:56:28 +0200

bppsuite (2.3.1-2) unstable; urgency=medium

  * Fixed linkage issue in x32 arch. 

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 18 Jul 2017 21:47:05 +0200

bppsuite (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Take over to Debian Med team maintenance
  * cme fix dpkg-control
  * debhelper 10
  * DEP5
  * Add watch file
  * d/rules: use dh
  * Fix manpage debhelper input
  * Adjust Build-Depends
  * Enhance description
  * Add examples package

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2017 15:12:35 +0200
