=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.dnd" -exec chmod -x \{\} \;
