## bppsuite 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,8 @@
   # Generate command line args (always add -c to output compressed file to stdout)
   if (${COMPRESS_PROGRAM} STREQUAL "gzip")
     # -n for no timestamp in files (reproducible builds)
-    set (COMPRESS_ARGS -c -n)
+    # -9 for maximum compression (lintian error)
+    set (COMPRESS_ARGS -c -n -9)
   else ()
     set (COMPRESS_ARGS -c)
   endif ()
@@ -74,8 +75,8 @@
 endif (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-phyl 11.0.0 REQUIRED)
-find_package (bpp-popgen 7.0.0 REQUIRED)
+find_package (bpp-phyl 12.0.0 REQUIRED)
+find_package (bpp-popgen 8.0.0 REQUIRED)
 
 # Subdirectories
 add_subdirectory (bppSuite)
@@ -87,10 +88,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "bppsuite")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.3.1")
+SET(CPACK_PACKAGE_VERSION "2.4.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Program Suite")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
