=== debian/changelog ===
bppsuite (2.4.0-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
  * Added full text of CeCILL license.
  * Compiles with -DCMAKE_BUILD_TYPE=RelWithDebInfo to generate debug info
    (lintian warning)
  * Point Vcs-fields to salsa.debian.org

  [ Andreas Tille ]
  * Standards-Version: 4.1.4

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 10 Apr 2018 14:53:00 +0200

bppsuite (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Steffen Moeller ]
  * debian/upstream/metadata; added reference to registries

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 07 Feb 2018 11:28:09 +0200

bppsuite (2.3.1-4) unstable; urgency=medium

  * Add debhelper install file
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2017 15:01:42 +0200
