=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                texinfo,
-               libbpp-phyl-dev (>= 2.3.1),
-               libbpp-popgen-dev (>= 2.3.1),
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bppsuite.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bppsuite.git
+               libbpp-phyl-dev (>= 2.4.0),
+               libbpp-popgen-dev (>= 2.4.0)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/bppsuite
+Vcs-Git: https://salsa.debian.org/med-team/bppsuite.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: bppsuite
@@ -36,12 +36,12 @@
   - BppSeqMan for file conversion and sequence manipulation,
   - BppConsense for building consensus tree and computing
     bootstrap values,
-  - BppPhySamp for phylogenetic sampling,
   - BppReRoot for tree rerooting.
   - BppTreeDraw for tree drawing.
   - BppAlnScore for comparing alignments and computing alignment scores.
   - BppMixedLikelihoods for computing site per site likelihoods of
     components of mixture models.
+  - BppPopGen for population genetics analyses.
 
 Package: bppsuite-examples
 Architecture: all
